<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  コメント情報削除用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.pc.do
 */
class topicCommentDeleteAction extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $topic_id         = $request['topic_id'];
        $topic_comment_id = $request['topic_comment_id'];

        // コメントの削除
        db_delete_topic_comment($topic_comment_id);

        // リダイレクト
        pocket_redirect('topicComment.view', array('topic_id' => $topic_id));
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // 認証チェック
        if (!pocket_isAuth())
        {
            // リクエスト情報の取得
            $topic_comment_id = $request['topic_comment_id'];
            $author_password  = $request['author_password'];

            // エラー表示用のAction名称の設定
            $this->viewAction = 'topicCommentDeleteConfirm';

            // 検証
            $validator->validate('author_password', '暗証番号', $author_password, 'alnum'      , true);
            $validator->validate('author_password', '暗証番号', $author_password, '/^[\w]{4}$/', true);

            // コメント情報の存在チェック
            if (!db_get_topic_comment4delete($topic_comment_id))
                pocket_redirect('default.view');

            // パスワードの認証
            if (!db_auth_topic_comments4author_password($topic_comment_id, md5($author_password)))
            {
                $validator->addErrors('author_password', '認証に失敗しました。');
            }

            // 有効チェック
            if (!$validator->isValid())
            {
                // エラーメッセージをクリア
                $validator->clearErrors();
                $validator->addErrors('author_password', '認証に失敗しました。');
            }
        }
    }
}

?>
