<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  トピック登録画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.pc.view
 */
class topicEntryAction extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $category_id = $request['category_id'];

        /**
         *  メイン情報の取得、設定
         */
        // カテゴリIDの設定
        $this->assign('category_id', $category_id);

        // カテゴリ名称の取得、設定
        $this->assign('category_name', db_get_category_name($category_id));

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('author_name', $request['author_name']);
            $this->assign('author_email', $request['author_email']);
            $this->assign('subject', $request['subject']);
            $this->assign('body', $request['body']);
            $this->assign('category_id', $request['category_id']);
            $this->assign('allow_comment', $request['allow_comment']);
            $this->assign('author_password', $request['author_password']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '新規トピックの作成');

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        // カテゴリのパン屑リスト情報の設定
        $this->assignCategoryBreadcrumbsListInfo($category_id);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
